=== debian/control ===
Source: ros-one-resized-image-transport
Section: misc
Priority: optional
Maintainer: Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-cv-bridge, ros-one-image-transport, ros-one-jsk-topic-tools (>= 2.2.8), ros-one-message-generation, ros-one-nodelet, ros-one-sensor-msgs, ros-one-std-srvs
Homepage: https://jsk-docs.readthedocs.io/projects/jsk_recognition/en/latest/resized_image_transport
Standards-Version: 3.9.2

Package: ros-one-resized-image-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-cv-bridge, ros-one-image-transport, ros-one-jsk-topic-tools (>= 2.2.8), ros-one-message-runtime, ros-one-nodelet, ros-one-sensor-msgs, ros-one-std-srvs
Description: ROS nodes to publish resized images.
