## ros-one-resized-image-transport 1.2.19-6noble.20251025.2125

=== debian/changelog ===
ros-one-resized-image-transport (1.2.19-6noble.20251025.2125) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 25 Oct 2025 21:25:11 +0000

ros-one-resized-image-transport (1.2.19-0noble) noble; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 14 May 2025 00:00:00 -0000

ros-one-resized-image-transport (1.2.18-0noble) noble; urgency=high

  * Set RULE_LAUNCH_COMPILE/LINK to ccache if CMAKE_VERSION < 3.4 (#2738 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2738> )
  * Contributors: Yuki Furuta

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-resized-image-transport (1.2.17-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-resized-image-transport (1.2.16-0noble) noble; urgency=high

  * [jsk_perception][jsk_pcl_ros_utils][resized_image_transport] Call onInitPostProcess() (#2719 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2719>)
  * Contributors: Aoi Nakane, Kei Okada, Naoto Tsukamoto, Shingo Kitagawa

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 10 Nov 2023 00:00:00 -0000

ros-one-resized-image-transport (1.2.15-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 10 Oct 2020 00:00:00 -0000

ros-one-resized-image-transport (1.2.14-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-resized-image-transport (1.2.13-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 08 Oct 2020 00:00:00 -0000

ros-one-resized-image-transport (1.2.12-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 03 Oct 2020 00:00:00 -0000

ros-one-resized-image-transport (1.2.11-0noble) noble; urgency=high

  * Fix for  noetic / 20.04 (#2507 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2507>)
    
      * resized_image_transport/src/log_polar_nodelet.cpp fix for opencv4
    
  * fix generate_readme.py and update readme (#2442 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2442>)
  * Add sample, test and doc (#2440 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2440>)
    
      * Remove unnecessary dependency duplication and comments in package.xml
      * Add test for LogPolar
      * Add sample for LogPolar
    
  * Contributors: Kei Okada, Shingo Kitagawa, Yuki Furuta, Yuto Uchimi

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 01 Oct 2020 00:00:00 -0000

ros-one-resized-image-transport (1.2.10-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 27 Mar 2019 00:00:00 -0000

ros-one-resized-image-transport (1.2.9-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 23 Feb 2019 00:00:00 -0000

ros-one-resized-image-transport (1.2.8-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 22 Feb 2019 00:00:00 -0000

ros-one-resized-image-transport (1.2.7-0noble) noble; urgency=high

  * [resized_image_transport] install resized_image_transport (#2390 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2390> )
  * Contributors: Shingo Kitagawa

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 14 Feb 2019 00:00:00 -0000

ros-one-resized-image-transport (1.2.6-0noble) noble; urgency=high

  * Call USE_SOURCE_PERMISSIONS before PATTERN(#2345 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2345>)
  * [resized_image_transport] Changed diagnostic error level (#2312 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2312>)
    * add version_gte for jsk_topic_tools
  * fix for jsk-ros-pkg/jsk_common/pull/1586 (#2311 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2311>)
  * Contributors: Yuki Furuta, Yuto Uchimi, Iori Yanokura

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-one-resized-image-transport (1.2.5-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-resized-image-transport (1.2.4-0noble) noble; urgency=high

  * Fix uninitialized pointer error in some recognition nodelets (#2234 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2234>)
    * [image_processing] Check validity of vital checker in updateDiagnostic because this callback might be called before initPublishersAndSubscribers is finished
  * Contributors: Iori Kumagai

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 12 Jan 2018 00:00:00 -0000

ros-one-resized-image-transport (1.2.3-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 23 Nov 2017 00:00:00 -0000

ros-one-resized-image-transport (1.2.2-0noble) noble; urgency=high

  * current source code needs jsk_topic_tools >= 2.2.4 (#2173 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2173>)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 23 Jul 2017 00:00:00 -0000

ros-one-resized-image-transport (1.2.1-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 00:00:00 -0000

ros-one-resized-image-transport (1.2.0-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 00:00:00 -0000

ros-one-resized-image-transport (1.1.3-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-one-resized-image-transport (1.1.2-0noble) noble; urgency=high

  * Remove dependency of resized_image_transport on jsk_perception (#2075 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2075> )

