## ros-one-resized-image-transport 1.2.19-10jammy.20251208.0139

=== debian/changelog ===
ros-one-resized-image-transport (1.2.19-10jammy.20251208.0139) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 01:39:18 +0000
