## ros-one-resized-image-transport 1.2.19-10noble.20251208.1225

=== debian/changelog ===
ros-one-resized-image-transport (1.2.19-10noble.20251208.1225) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 12:25:34 +0000
