## ros-one-resized-image-transport 1.2.19-12jammy.20251215.2220

=== debian/changelog ===
ros-one-resized-image-transport (1.2.19-12jammy.20251215.2220) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 22:20:17 +0000
