## ros-one-resized-image-transport 1.2.19-12jammy.20260106.2201

=== debian/changelog ===
ros-one-resized-image-transport (1.2.19-12jammy.20260106.2201) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 22:01:39 +0000
