## ros-one-resized-image-transport 1.2.19-12jammy.20260222.0036

=== debian/changelog ===
ros-one-resized-image-transport (1.2.19-12jammy.20260222.0036) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 22 Feb 2026 00:36:01 +0000
