## ros-one-resized-image-transport 1.2.19-12noble.20251215.2216

=== debian/changelog ===
ros-one-resized-image-transport (1.2.19-12noble.20251215.2216) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 22:16:33 +0000
