## ros-one-resized-image-transport 1.2.19-12noble.20260106.2212

=== debian/changelog ===
ros-one-resized-image-transport (1.2.19-12noble.20260106.2212) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 22:12:11 +0000
